RelayAPI

Update an AI agent

PATCH
/v1/ai-agents/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/ai-agents/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "created_at": "2019-08-24T14:15:22Z",  "enabled": true,  "guardrails": {    "blocked_topics": [],    "fallback_message": "I can’t help with that request. A team member can take over.",    "version": 1  },  "handoff": {    "confidence_threshold": 0.6,    "keywords": [],    "principal_id": null,    "version": 1  },  "id": "string",  "knowledge_base_id": "string",  "max_tokens": 0,  "model": "@cf/zai-org/glm-4.7-flash",  "name": "string",  "organization_id": "string",  "persona": "string",  "provider": "workers_ai",  "temperature": 0,  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}

Found something wrong? Help us improve this page.